Debian Bug report logs - #608171
RFP: kmozillahelper -- Iceweasel-KDE integration

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "P. J. McDermott" <pjm@nac.net>

Date: Tue, 28 Dec 2010 09:12:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Tue, 28 Dec 2010 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 28 Dec 2010 09:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kmozillahelper -- Iceweasel-KDE integration
Date: Tue, 28 Dec 2010 04:05:15 -0500
Package: wnpp
Severity: wishlist
Owner: "P. J. McDermott" <pjm@nac.net>


* Package name    : kmozillahelper
  Version         : 0.6.2
  Upstream Author : Lubos Lunak <l.lunak@suse.cz>
* URL             : https://build.opensuse.org/package/show?package=mozilla-kde4-integration&project=mozilla%3AFactory
* License         : Expat
  Programming Lang: C++
  Description     : Iceweasel-KDE integration

This is an integration helper, designed to make Iceweasel work better in KDE
SC 4.

This application handles integration in the following areas:
    * Getting proxy configuration
    * Getting default applications by file extension, type, and protocol
    * The "Open with:" dialog
    * The file open dialog
    * The file save dialog, with KIO network transparency
    * The directory selection dialog
    * Opening files with default applications
    * Running applications
    * Opening the default feed reader
    * Opening the default mail client
    * Opening the default news client
    * Checking and setting the default web browser
    * Showing KDE notifications on download completions


This helper application is developed for and shipped with the openSUSE
distribution.  It is packaged for and included in Ubuntu.  There is also a
package for it in the Arch User Repository and a Git repository to port it to
Fedora.  This application appears to be the most complete, "correct", and
widely-supported solution to improving Mozilla Firefox's behavior in KDE.

Upstream development is visible at the following Git repository:
http://gitorious.org/firefox-kde-opensuse

Status of this package:
I actually have the packaging work mostly done and lintian clean; it just needs
mentor review (as I'm not a DD or DM).  However, a patch to Iceweasel (mostly
XUL and XPCOM shell service files to work with KDE "the right way") is necessary
for this package to work.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Tue, 28 Dec 2010 13:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Tue, 28 Dec 2010 13:33:10 GMT) Full text and rfc822 format available.

Message #10 received at 608171@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "P. J. McDermott" <pjm@nac.net>, 608171@bugs.debian.org
Cc: pkg-mozilla-maintainers@lists.alioth.debian.org
Subject: Re: Bug#608171: ITP: kmozillahelper -- Iceweasel-KDE integration
Date: Tue, 28 Dec 2010 14:32:32 +0100
On Tue, Dec 28, 2010 at 04:05:15AM -0500, P. J. McDermott wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "P. J. McDermott" <pjm@nac.net>
> 
> 
> * Package name    : kmozillahelper
>   Version         : 0.6.2
>   Upstream Author : Lubos Lunak <l.lunak@suse.cz>
> * URL             : https://build.opensuse.org/package/show?package=mozilla-kde4-integration&project=mozilla%3AFactory
> * License         : Expat
>   Programming Lang: C++
>   Description     : Iceweasel-KDE integration
> 
> This is an integration helper, designed to make Iceweasel work better in KDE
> SC 4.
> 
> This application handles integration in the following areas:
>     * Getting proxy configuration
>     * Getting default applications by file extension, type, and protocol
>     * The "Open with:" dialog
>     * The file open dialog
>     * The file save dialog, with KIO network transparency
>     * The directory selection dialog
>     * Opening files with default applications
>     * Running applications
>     * Opening the default feed reader
>     * Opening the default mail client
>     * Opening the default news client
>     * Checking and setting the default web browser
>     * Showing KDE notifications on download completions
> 
> 
> This helper application is developed for and shipped with the openSUSE
> distribution.  It is packaged for and included in Ubuntu.  There is also a
> package for it in the Arch User Repository and a Git repository to port it to
> Fedora.  This application appears to be the most complete, "correct", and
> widely-supported solution to improving Mozilla Firefox's behavior in KDE.
> 
> Upstream development is visible at the following Git repository:
> http://gitorious.org/firefox-kde-opensuse
> 
> Status of this package:
> I actually have the packaging work mostly done and lintian clean; it just needs
> mentor review (as I'm not a DD or DM).  However, a patch to Iceweasel (mostly
> XUL and XPCOM shell service files to work with KDE "the right way") is necessary
> for this package to work.

... which is probably not going to happen any time soon. IMHO the best
option would be to package it as an extension, and make it work with
icedove, iceape and iceweasel. Making it a full fledged extension (which
is not impossible) would also make it work with upstream firefox tarballs.

I can give a hand if necessary, but I don't know if I'll have a lot of
time for it, though.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Tue, 28 Dec 2010 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Dec 2010 14:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 608171@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 608171@bugs.debian.org
Cc: pkg-mozilla-maintainers@lists.alioth.debian.org
Subject: Re: Bug#608171: ITP: kmozillahelper -- Iceweasel-KDE integration
Date: Tue, 28 Dec 2010 09:50:21 -0500
On 12/28/2010 08:32 AM, Mike Hommey wrote:
> On Tue, Dec 28, 2010 at 04:05:15AM -0500, P. J. McDermott wrote:
>   
>> Package: wnpp
>> Severity: wishlist
>> Owner: "P. J. McDermott" <pjm@nac.net>
>>
>>
>> * Package name    : kmozillahelper
>>   Version         : 0.6.2
>>   Upstream Author : Lubos Lunak <l.lunak@suse.cz>
>> * URL             : https://build.opensuse.org/package/show?package=mozilla-kde4-integration&project=mozilla%3AFactory
>> * License         : Expat
>>   Programming Lang: C++
>>   Description     : Iceweasel-KDE integration
>>
>> This is an integration helper, designed to make Iceweasel work better in KDE
>> SC 4.
>>
>> This application handles integration in the following areas:
>>     * Getting proxy configuration
>>     * Getting default applications by file extension, type, and protocol
>>     * The "Open with:" dialog
>>     * The file open dialog
>>     * The file save dialog, with KIO network transparency
>>     * The directory selection dialog
>>     * Opening files with default applications
>>     * Running applications
>>     * Opening the default feed reader
>>     * Opening the default mail client
>>     * Opening the default news client
>>     * Checking and setting the default web browser
>>     * Showing KDE notifications on download completions
>>
>>
>> This helper application is developed for and shipped with the openSUSE
>> distribution.  It is packaged for and included in Ubuntu.  There is also a
>> package for it in the Arch User Repository and a Git repository to port it to
>> Fedora.  This application appears to be the most complete, "correct", and
>> widely-supported solution to improving Mozilla Firefox's behavior in KDE.
>>
>> Upstream development is visible at the following Git repository:
>> http://gitorious.org/firefox-kde-opensuse
>>
>> Status of this package:
>> I actually have the packaging work mostly done and lintian clean; it just needs
>> mentor review (as I'm not a DD or DM).  However, a patch to Iceweasel (mostly
>> XUL and XPCOM shell service files to work with KDE "the right way") is necessary
>> for this package to work.
>>     
> ... which is probably not going to happen any time soon. IMHO the best
> option would be to package it as an extension, and make it work with
> icedove, iceape and iceweasel. Making it a full fledged extension (which
> is not impossible) would also make it work with upstream firefox tarballs.
>
> I can give a hand if necessary, but I don't know if I'll have a lot of
> time for it, though.
>
> Mike
>   
Hi Mike,

I'm admittedly not too familiar with the Mozilla codebase, so I don't
know if packaging this as an extension is possible. If so, then I would
agree that that would be better than patching mainline Iceweasel. I was
in fact planning to defer to your knowledge and judgment on this once I
got the package up on mentors.debian.net. Below is the Mozilla Firefox
patch in question, as applied by two distributions; if you have a
chance, can you let me know what the best way to include this would be
(extension or Iceweasel patch)?

openSUSE (upstream) patch, applied to Firefox 3.6.6:
http://gitorious.org/firefox-kde-opensuse/firefox-kde-opensuse/blobs/master/mozilla.patch

Ubuntu patch, applied to Firefox 3.6.13:
http://bazaar.launchpad.net/~mozillateam/firefox/firefox-3.6.head/annotate/head%3A/debian/patches/firefox-kde.patch

Also, it seems this helper application currently does not work with
other Mozilla applications. Because of this, the Ubuntu maintainer
renamed the binary package to firefox-kde-support in Ubuntu 10.10.

Any help you can provide with this would be appreciated. If you'd like
to see what I have so far (the package is built and lintian-clean, I
mainly just have to test it more), I can push the package to
mentors.d.n. Otherwise, I'll hold off for now.

Thanks,
P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Tue, 28 Dec 2010 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Tue, 28 Dec 2010 16:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 608171@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 608171@bugs.debian.org, pkg-mozilla-maintainers@lists.alioth.debian.org
Subject: Re: Bug#608171: ITP: kmozillahelper -- Iceweasel-KDE integration
Date: Tue, 28 Dec 2010 17:34:21 +0100
On Tue, Dec 28, 2010 at 09:50:21AM -0500, P. J. McDermott wrote:
> I'm admittedly not too familiar with the Mozilla codebase, so I don't
> know if packaging this as an extension is possible. If so, then I would
> agree that that would be better than patching mainline Iceweasel. I was
> in fact planning to defer to your knowledge and judgment on this once I
> got the package up on mentors.debian.net. Below is the Mozilla Firefox
> patch in question, as applied by two distributions; if you have a
> chance, can you let me know what the best way to include this would be
> (extension or Iceweasel patch)?
> 
> openSUSE (upstream) patch, applied to Firefox 3.6.6:
> http://gitorious.org/firefox-kde-opensuse/firefox-kde-opensuse/blobs/master/mozilla.patch
> 
> Ubuntu patch, applied to Firefox 3.6.13:
> http://bazaar.launchpad.net/~mozillateam/firefox/firefox-3.6.head/annotate/head%3A/debian/patches/firefox-kde.patch

IIRC the patch lies in some bug against iceweasel/xulrunner at the
moment. I still think it's too intrusive and not implemented the right
way.

> Also, it seems this helper application currently does not work with
> other Mozilla applications. Because of this, the Ubuntu maintainer
> renamed the binary package to firefox-kde-support in Ubuntu 10.10.

That doesn't make much sense. At the very least mime type handling
should work.

> Any help you can provide with this would be appreciated. If you'd like
> to see what I have so far (the package is built and lintian-clean, I
> mainly just have to test it more), I can push the package to
> mentors.d.n. Otherwise, I'll hold off for now.

I'll check what hooks could be used to make that a full extension. The
xul/js part should already be feasible. The c++ parts are definitely
possible, but I don't know how much work would be required. If you don't
hear from me before, let's say, the end of january, please ping the
pkg-mozilla-maintainers list, CCing this bug.

Cheers,

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Tue, 28 Dec 2010 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Dec 2010 17:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 608171@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 608171@bugs.debian.org, pkg-mozilla-maintainers@lists.alioth.debian.org
Subject: Re: Bug#608171: ITP: kmozillahelper -- Iceweasel-KDE integration
Date: Tue, 28 Dec 2010 12:47:55 -0500
On 12/28/2010 11:34 AM, Mike Hommey wrote:
> On Tue, Dec 28, 2010 at 09:50:21AM -0500, P. J. McDermott wrote:
>   
>> I'm admittedly not too familiar with the Mozilla codebase, so I don't
>> know if packaging this as an extension is possible. If so, then I would
>> agree that that would be better than patching mainline Iceweasel. I was
>> in fact planning to defer to your knowledge and judgment on this once I
>> got the package up on mentors.debian.net. Below is the Mozilla Firefox
>> patch in question, as applied by two distributions; if you have a
>> chance, can you let me know what the best way to include this would be
>> (extension or Iceweasel patch)?
>>
>> openSUSE (upstream) patch, applied to Firefox 3.6.6:
>> http://gitorious.org/firefox-kde-opensuse/firefox-kde-opensuse/blobs/master/mozilla.patch
>>
>> Ubuntu patch, applied to Firefox 3.6.13:
>> http://bazaar.launchpad.net/~mozillateam/firefox/firefox-3.6.head/annotate/head%3A/debian/patches/firefox-kde.patch
>>     
> IIRC the patch lies in some bug against iceweasel/xulrunner at the
> moment. I still think it's too intrusive and not implemented the right
> way.
>
>   
>> Also, it seems this helper application currently does not work with
>> other Mozilla applications. Because of this, the Ubuntu maintainer
>> renamed the binary package to firefox-kde-support in Ubuntu 10.10.
>>     
> That doesn't make much sense. At the very least mime type handling
> should work.
>   

True. The most trivial Firefox-specific code I found in the package was
the use of the "firefox" application icon in the about data (and I can't
see how that would be visible to the user anyway) and the application
name in the download complete notification. Other than that, I just see
isDefaultBrowser() and setDefaultBrowser() shell service methods that,
worst case, might have to be replaced in other Mozilla applications. If
you know the equivalents for the other applications, then I can
re-implement those methods when/if the time comes.

>> Any help you can provide with this would be appreciated. If you'd like
>> to see what I have so far (the package is built and lintian-clean, I
>> mainly just have to test it more), I can push the package to
>> mentors.d.n. Otherwise, I'll hold off for now.
>>     
> I'll check what hooks could be used to make that a full extension. The
> xul/js part should already be feasible. The c++ parts are definitely
> possible, but I don't know how much work would be required. If you don't
> hear from me before, let's say, the end of january, please ping the
> pkg-mozilla-maintainers list, CCing this bug.
>
> Cheers,
>
> Mike
>   

Sounds good, thanks.

To be honest, I'd love to see this make it into Debian because the
current state of Mozilla Firefox and KDE integration makes some things a
bit of a UI nightmare. There is no integration with a default
applications registry in KDE, so when trying to open a file a user is
dropped to a file picker. The average user wouldn't know to go to
/usr/bin and find, for example, okular to open a PDF file. </rant>

Anyway, thanks again for your insight in this matter,
P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Fri, 11 Feb 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 11 Feb 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 608171@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Krasu <ksquirrel.iv@gmail.com>, 612837@bugs.debian.org
Cc: pkg-mozilla-maintainers@lists.alioth.debian.org, 608171@bugs.debian.org
Subject: Re: Bug#612837: iceweasel: doesn't show evince in "save" dialog
Date: Thu, 10 Feb 2011 21:26:24 -0500
On 02/10/2011 08:22 PM, Krasu wrote:
> Package: iceweasel
> Version: 3.5.16-4
> Severity: normal
> 
> If I try to open a PDF file from a web page, iceweasel will show "save" dialog.
> It won't contain evince (it will contain only GIMP). Evince-gtk is installed.
> 
> # LC_ALL=C apt-cache policy evince-gtk
> evince-gtk:
>   Installed: 2.30.3-2
>   Candidate: 2.30.3-2
>   Version table:
>  *** 2.30.3-2 0
>         500 http://ftp.de.debian.org/debian/ squeeze/main i386 Packages
>          20 http://ftp.de.debian.org/debian/ sid/main i386 Packages
>         100 /var/lib/dpkg/status

I see you're using Iceweasel under KDE (as am I). Unfortunately,
integration of the stock Mozilla Firefox and Iceweasel web browsers into
KDE is less than optimal. Even if you set Evince as your default PDF
viewer in KDE, Iceweasel won't offer it as an option when opening PDF
files. You'll have to select "Other...", navigate through the file
picker to /usr/bin, and find the Evince binary there. It's not very
pretty from a usability standpoint, but at least Iceweasel will remember
your selection so you can simply choose Evince after the initial search.

There is however work to improve this situation so that Firefox can
query and use KDE's default applications, use KDE's file picker, etc.
This is being done through an application called "kmozillahelper",
developed by an openSUSE developer. I had worked on packaging this for
Debian[1], but unfortunately the helper program is functionally useless
unless the web browser codebase is patched to communicate with it. Mike
Hommey and I discussed it[1], and he noted that such functionality would
be much better implemented as an Iceweasel extension (which could then
work for Icedove, Iceape, and upstream Mozilla applications). He said
he'd look into what hooks could be used to do this and that I should
check back with him around now actually.

I had been holding off on that through the Squeeze release, but since
you brought this up, now's as good a time as any I suppose. So I'm CCing
pkg-mozilla-maintainers and the kmozillahelper ITP bug (#608171). Mike,
have you had time to check into how kmozillahelper's shell service could
be implemented in an extension?

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608171

Thanks,
P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Fri, 11 Feb 2011 08:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Fri, 11 Feb 2011 08:39:07 GMT) Full text and rfc822 format available.

Message #35 received at 608171@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 608171@bugs.debian.org
Subject: Re: Bug#612837: iceweasel: doesn't show evince in "save" dialog
Date: Fri, 11 Feb 2011 08:58:32 +0100
On Thu, Feb 10, 2011 at 09:26:24PM -0500, P. J. McDermott wrote:
> I had been holding off on that through the Squeeze release, but since
> you brought this up, now's as good a time as any I suppose. So I'm CCing
> pkg-mozilla-maintainers and the kmozillahelper ITP bug (#608171). Mike,
> have you had time to check into how kmozillahelper's shell service could
> be implemented in an extension?

Haven't had time for this, I'll try to take a look next week.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Sun, 13 Feb 2011 20:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Feb 2011 20:48:05 GMT) Full text and rfc822 format available.

Message #40 received at 608171@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Mike Hommey <mh@glandium.org>, 608171@bugs.debian.org
Subject: Re: Bug#608171: ITP: kmozillahelper, Bug#612837: iceweasel: doesn't show evince in "save" dialog
Date: Sun, 13 Feb 2011 15:52:31 -0500
On 02/11/2011 02:58 AM, Mike Hommey wrote:
> On Thu, Feb 10, 2011 at 09:26:24PM -0500, P. J. McDermott wrote:
>> I had been holding off on that through the Squeeze release, but since
>> you brought this up, now's as good a time as any I suppose. So I'm CCing
>> pkg-mozilla-maintainers and the kmozillahelper ITP bug (#608171). Mike,
>> have you had time to check into how kmozillahelper's shell service could
>> be implemented in an extension?
> 
> Haven't had time for this, I'll try to take a look next week.
> 
> Mike

OK, no problem. I probably won't have much time to work on it in the
next few weeks anyway. If I don't hear back from you before then, I'll
check back sometime in the next couple weeks probably.

Thanks,
P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Tue, 29 Mar 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aniruddha <mailingdotlist@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Tue, 29 Mar 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 608171@bugs.debian.org (full text, mbox):

From: Aniruddha <mailingdotlist@gmail.com>
To: 608171@bugs.debian.org
Date: Tue, 29 Mar 2011 18:32:38 +0200
On 02/11/2011 02:58 AM, Mike Hommey wrote:
> On Thu, Feb 10, 2011 at 09:26:24PM -0500, P. J. McDermott wrote:
>> I had been holding off on that through the Squeeze release, but since
>> you brought this up, now's as good a time as any I suppose. So I'm CCing
>> pkg-mozilla-maintainers and the kmozillahelper ITP bug (#608171). Mike,
>> have you had time to check into how kmozillahelper's shell service could
>> be implemented in an extension?
>
> Haven't had time for this, I'll try to take a look next week.
>
> Mike

>OK, no problem. I probably won't have much time to work on it in the
>next few weeks anyway. If I don't hear back from you before then, I'll
>check back sometime in the next couple weeks probably.

Can you update us about status of the extension? Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Sun, 31 Jul 2011 18:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Sun, 31 Jul 2011 18:00:07 GMT) Full text and rfc822 format available.

Message #50 received at 608171@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: pkg-kde-extras@lists.alioth.debian.org
Cc: Rafael Belmonte <eaglescreen@gmail.com>, pkg-mozilla-maintainers@lists.alioth.debian.org, pjm@nac.net, 608171@bugs.debian.org
Subject: Re: [Pkg-kde-extras] iceweasel-kde-support on Debian
Date: Sun, 31 Jul 2011 20:56:56 +0300
[Message part 1 (text/plain, inline)]
Hello,

On sekmadienis 31 Liepa 2011 20:33:33 Rafael Belmonte wrote:
> Hello, I am mailing, KDE Extras Team, and Mozilla Team because my petition
> is related to both teams.
> This is to remember you about the existence of Kmozillahelper or also
> called firefox-kde-support.
> This is a package which provides Firefox (or Iceweasel in our case) a
> better KDE integration and support, adding the following features:
> 
>     * Getting proxy configuration
>     * Getting default applications by file extension, type, and protocol
>     * The "Open with:" dialog
>     * The file open dialog
>     * The file save dialog, with KIO network transparency
>     * The directory selection dialog
>     * Opening files with default applications
>     * Running applications
>     * Opening the default feed reader
>     * Opening the default mail client
>     * Opening the default news client
>     * Checking and setting the default web browser
>     * Showing KDE notifications on download completions
> 
> This is already being used in OpenSuse (which is also upstream), and also
> is used in Kubuntu packaged as "firefox-kde-support".
> You can find upstream software here:
> http://gitorious.org/firefox-kde-opensuse
> And information about the Ubuntu package here:
> http://packages.ubuntu.com/oneiric/kmozillahelper
> The Debian Bug #608171 is also related to this matter.
> The current KDE integration of Iceweasel has a lot to be desired compared
> with the other mentioned distributions, please consider joining efforts to
> make it better on Debian KDE desktop.

Well, personally I would be kind of interested in seeing better iceweasel 
integration with KDE Platform. However:

1) as far as I can tell from #608171, some patch is needed for iceweasel. 
Unfortunately, iceweasel maintainers do not seem very fond of it. Personally, 
I'm not willing to invest my time into developing a better patch/solution for 
iceweasel.

2) ITP is already owned by P. J. McDermott. So unless this is a request for 
sponsorship or take over, I don't see how anybody from KDE maintainers can 
help here.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608171; Package wnpp. (Sat, 22 Oct 2011 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Oct 2011 22:36:06 GMT) Full text and rfc822 format available.

Message #55 received at 608171@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: Modestas Vainius <modax@debian.org>
Cc: pkg-kde-extras@lists.alioth.debian.org, Rafael Belmonte <eaglescreen@gmail.com>, pkg-mozilla-maintainers@lists.alioth.debian.org, 608171@bugs.debian.org, mailingdotlist@gmail.com
Subject: kmozillahelper -- Iceweasel-KDE integration
Date: Sat, 22 Oct 2011 17:49:13 -0400
Sorry for my late response.  I thought the BTS would forward to me
replies to my ITP bug, but it apparently hasn't.

On 03/29/2011 12:32 PM, Aniruddha wrote:
> Can you update us about status of the extension? Thanks!

On 07/31/2011 01:56 PM, Modestas Vainius wrote:
> Hello,
> 
> On sekmadienis 31 Liepa 2011 20:33:33 Rafael Belmonte wrote:
>> Hello, I am mailing, KDE Extras Team, and Mozilla Team because my petition
>> is related to both teams.
>> This is to remember you about the existence of Kmozillahelper or also
>> called firefox-kde-support.
>> This is a package which provides Firefox (or Iceweasel in our case) a
>> better KDE integration and support, adding the following features:
>>
>>     * Getting proxy configuration
>>     * Getting default applications by file extension, type, and protocol
>>     * The "Open with:" dialog
>>     * The file open dialog
>>     * The file save dialog, with KIO network transparency
>>     * The directory selection dialog
>>     * Opening files with default applications
>>     * Running applications
>>     * Opening the default feed reader
>>     * Opening the default mail client
>>     * Opening the default news client
>>     * Checking and setting the default web browser
>>     * Showing KDE notifications on download completions
>>
>> This is already being used in OpenSuse (which is also upstream), and also
>> is used in Kubuntu packaged as "firefox-kde-support".
>> You can find upstream software here:
>> http://gitorious.org/firefox-kde-opensuse
>> And information about the Ubuntu package here:
>> http://packages.ubuntu.com/oneiric/kmozillahelper
>> The Debian Bug #608171 is also related to this matter.
>> The current KDE integration of Iceweasel has a lot to be desired compared
>> with the other mentioned distributions, please consider joining efforts to
>> make it better on Debian KDE desktop.
> 
> Well, personally I would be kind of interested in seeing better iceweasel 
> integration with KDE Platform. However:
> 
> 1) as far as I can tell from #608171, some patch is needed for iceweasel. 
> Unfortunately, iceweasel maintainers do not seem very fond of it. Personally, 
> I'm not willing to invest my time into developing a better patch/solution for 
> iceweasel.
> 
> 2) ITP is already owned by P. J. McDermott. So unless this is a request for 
> sponsorship or take over, I don't see how anybody from KDE maintainers can 
> help here.

Sorry, I don't mean to prevent anyone else from working on this.  I
packaged the helper application back in December, although it was my
first attempt at policy-compliant Debian packaging and may not be
perfect.  Now that I know how to use a version control system (Git),
when I get some time I'll sort out what I've done and try to get it
pushed to Alioth.

The bigger issue is on the Iceweasel side.  This application does
require some shell service code in Iceweasel.  Mike Hommey suggested
making a generic extension (which could work with any Mozilla-based
software, within and outside of Debian) instead of adding a patch to
Iceweasel, and I too think that would be better.  Unfortunately, I've
never written an XUL extension before, so I don't know how much I could
do to that end.  Any help on this matter from Mike or anyone else would
be appreciated.

-- 
P. J. McDermott
mailto:pjm@nac.net | http://identi.ca/pehjota




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>:
Bug#608171; Package wnpp. (Mon, 27 May 2013 14:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "P. J. McDermott" <pjm@nac.net>. (Mon, 27 May 2013 14:12:23 GMT) Full text and rfc822 format available.

Message #60 received at 608171@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 608171@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kmozillahelper: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:27 +0200
retitle 608171 RFP: kmozillahelper -- Iceweasel-KDE integration
noowner 608171
tag 608171 - pending
thanks

Hi,

This is an automatic email to change the status of kmozillahelper back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting kmozillahelper, please send a mail to
<control@bugs.debian.org> with:

 retitle 608171 ITP: kmozillahelper -- Iceweasel-KDE integration
 owner 608171 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <608171@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: kmozillahelper -- Iceweasel-KDE integration' from 'ITP: kmozillahelper -- Iceweasel-KDE integration' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:41:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "P. J. McDermott" <pjm@nac.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:41:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:50:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.